<!DOCTYPE html>
<html lang="de" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <title>Reservierungen</title>
    <!-- Core theme CSS (includes Bootstrap)-->
    <link href="styles.css" rel="stylesheet" />
    <link href="btn_styles.css" rel="stylesheet" />
</head>

<body>
<!-- Responsive navbar-->
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div class="container px-5">
        <a class="navbar-brand bg-dark text-white" href="/index.html">Sharin' Drive</a>

        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav ms-auto mb-2 mb-lg-0">

                <ul class="navbar-nav">
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDarkDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            Aktionen
                        </a>
                        <ul class="dropdown-menu dropdown-menu-dark" aria-labelledby="navbarDarkDropdownMenuLink">
                            <li><a class="dropdown-item" href="/login">Home-Page</a></li>
                            <li><a class="dropdown-item" href="/fahrzeugadd">Fahrzeug hinzufügen</a></li>
                            <li><a class="dropdown-item" href="/listf">Fahrzeuge einsehen</a></li>
                            <li><a class="dropdown-item" href="/viewR">Reservierungen einsehen</a></li>
                            <li><a class="dropdown-item" href="/benutzeradd">Benutzer hinzufügen</a></li>
                            <li><a class="dropdown-item" href="/listb">Liste der Benutzer</a></li>
                            <li><a class="dropdown-item" href="/logout">Logout</a></li>
                        </ul>
                    </li>
                </ul>
            </ul>
        </div>


    </div>
</nav>

<div class="container py-5">
    <h1>Reservierungsdaten</h1>

    <div class="py-4" th:if="${ not#lists.isEmpty(reservierungen)}">
        <table class="table table-striped">
            <thead>
            <tr>
                <th scope="col">Reservierungs Nr</th>
                <th scope="col">Kunden ID</th>
                <th scope="col">Fahrzeug ID</th>
                <th scope="col">Reservierungs Datum</th>
                <th scope="col">Ausleihzeitpunkt</th>
                <th scope="col">Rückgabezeitpunkt</th>
                <th scope="col">Reservierung löschen</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="reservierung : ${reservierungen}">
                <td th:text="${reservierung.id}"></td>
                <td th:text="${reservierung.kunde.getId}"></td>
                <td th:text="${reservierung.fahrzeug.getId}"></td>
                <td th:text="${reservierung.reservierungsDatum}"></td>
                <td th:text="${reservierung.ausleihZeitpunkt}"></td>
                <td th:text="${reservierung.rueckgabeZeitpunkt}"></td>
                <td>
                    <th:block>
                        <a th:href="@{/delReserv(id = ${reservierung.id})}"><p>Löschen</p></a>
                    </th:block>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div th:if="${#lists.isEmpty(reservierungen)}">
        <h2>Keine Reservierungsdaten vorhanden</h2>
    </div>


</div>

</body>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<!-- Core theme JS-->
<script src="js/scripts.js"></script>
<script src="https://cdn.startbootstrap.com/sb-forms-latest.js"></script>
</html>